For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get all treat codes

Get all treat codes

get
/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/treatcodes
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

Treat codes

creditLedgerstringRequired

Used for credit notes

generalLedgerstringRequired

Used for general ledger

ledgerstringRequired

Used for invoices and other ledgers

paymentstringRequired

Used for payment of invoices

get/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/treatcodes
GET /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/treatcodes HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "creditLedger": "text",
  "generalLedger": "text",
  "ledger": "text",
  "payment": "text"
}

Last updated

Was this helpful?